Skip to main content
GET
Obtain a specific Smart Deposit Address/es based on various criteria

Query Parameters

addressNote
string

A note or label for the deposit address as a reference, e.g. "ClientID123456" (max 80 characters).

Maximum string length: 80
depositChain
string

The blockchain where the deposit was sent to, e.g. "ETHEREUM".

Minimum string length: 1
destinationChain
string

The blockchain that the tokenOut will be bridged to, e.g. "AVALANCHE".

Minimum string length: 1
destinationAddress
string

The address where tokenOut will be bridged to, e.g. "0x123...ABC".

Minimum string length: 1
pageToken
string

An opaque token identifying the page of results to return, as provided by the nextPageToken field of a previous response. Should be used in conjunction with pageSize.

Minimum string length: 1
pageSize
string

Response

SearchDepositAddressResponse

nextPageToken
string | null
required

An opaque token identifying the next page of results, to be passed in the pageToken query param to fetch it. Null when there are no further pages.

Minimum string length: 1
items
object[]
required

The Smart Deposit Addresses matching the given search criteria.